Subject: Re: removal of "percent done" messages from git pull

From: Catalin Marinas <[email-masked]>
Date: Mon, 19 Feb 2007 15:30:33 +0000

On Mon, 2007-02-19 at 16:12 +0100, Johannes Schindelin wrote:
> > Larry Streepy <[email-masked]> wrote:
> > > I run a nightly script to build and test our product.  I capture all
> > > the output and email it to interested parties.  One very annoying
> > > thing is the "percent done" messages that come out of git pull.  It
> > > results in log files that look like this:
> > [...]
> > > I have found no way to make these messages go away.  When running in a
> > > "batch" mode, IMHO, interactive messages like these should not be
> > > emitted. At least there should be a switch to suppress them.
> > 
> > Or (as done in StGIT for some messages), only print those interactive
> > messages when stdout is a tty, i.e. "if (isatty(1))".
> 
> You mean something like this?
[...]
> +	if (!verbose && !isatty(1))
> +		quiet = 1;

Well, you might not want this to be the equivalent of --quiet as you
already have an option for it. I'm not familiar to the GIT internals but
it seems a bit more complicated since those messages are sent by the
server. Maybe some modification to the sideband.c but both error
messages and progress percentage seem to be sent on the same band #2.

-- 
Catalin